Library Version 18.1.40

DB->get_h_nelem()
Prev | Chapter 2. The DB Handle | Next

## DB->get_h_nelem()

    #include <db.h>

    int
    DB->get_h_nelem(DB *db, u_int32_t *h_nelemp);

The `DB->get_h_nelem()` method returns the estimate of the final size of the hash table as set by the DB->set_h_nelem() method.

The `DB->get_h_nelem()` method may be called at any time during the life of the application.

The `DB->get_h_nelem()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### h_nelemp

The `DB->get_h_nelem()` method returns the estimate of the final size of the hash table in h_nelemp.

### Class

DB

### See Also

Database and Related Methods, DB->set_h_nelem()

Prev | Up | Next
DB->get_h_ffactor() | Home | DB->get_heapsize()